# Kickstart file to automate the installation of Oracle 10 on RHEL4
# Harry Hoffman <hhoffman@ip-solutions.net>
# Oracle 10g Kickstart file for CentOS 4.x
#
#platform=x86, AMD64, or Intel EM64T
# System authorization information
auth  --useshadow  --enablemd5
# System bootloader configuration
bootloader --location=mbr --md5pass=MD5STRING
# Partition clearing information
clearpart --all --initlabel
# Use text mode install
text
# Firewall configuration
firewall --enabled --port=22:tcp
# Run the Setup Agent on first boot
firstboot --disable
# System keyboard
keyboard us
# System language
lang en_US.UTF-8
langsupport --default=en_US.UTF-8 en_US.UTF-8
# Use network installation
url --url=$tree
# Network information
network --bootproto=static --ip=$ip_address --netmask=$netmask --gateway=$gateway --nameserver=$nameserver --hostname=$hostname --device=eth0 --onboot=on
# Reboot after installation
reboot

#Root password
rootpw --iscrypted ESCAPED_CRYTPED_PASS
# SELinux configuration
selinux --enforcing
# Do not configure the X Window System
skipx
# System timezone
timezone  America/New_York
# Install OS instead of upgrade
install
# Clear the Master Boot Record
zerombr

# Magically figure out how to partition this thing
SNIPPET::partition_select

%packages
automake
bison
cpp
flex
gcc
gcc-c++
glibc-devel
glibc-headers
glibc-kernheaders
libungif
Xaw3d
xorg-x11-xauth
libcap
ntp
sudo
vlock
screen
sysstat
-sendmail
postfix
vim-enhanced
# Oracle 10 stuff
compat-db
openmotif
setarch
libaio
libaio-devel
compat-gcc-32
compat-gcc-32-c++
compat-libstdc++-33

%post
chvt 3

$yum_config_stanza

# Standard admin items
SNIPPET::admin-rhel

# Setup Oracle
SNIPPET::oracle10g-rhel4

# Update the system
SNIPPET::update-rhel

$kickstart_done

